Bug 2143076 - offlineimap fails with Python 3.11
Summary: offlineimap fails with Python 3.11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: offlineimap
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Dodji Seketeli
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-11-16 01:50 UTC by David Gibson
Modified: 2022-11-19 02:56 UTC (History)
8 users (show)

Fixed In Version: offlineimap-8.0.0-6.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-19 02:56:04 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description David Gibson 2022-11-16 01:50:42 UTC
Description of problem:

Attempting to run offlineimap fails completely with many instances of errors like this:

Folder .INBOX [remote name INBOX] [acc: redhat]:
 ERROR: ERROR in syncfolder for redhat folder .INBOX: Traceback (most recent call last):
  File "/usr/lib/python3.11/site-packages/offlineimap/accounts.py", line 610, in syncfolder
    statusfolder.openfiles()
  File "/usr/lib/python3.11/site-packages/offlineimap/folder/LocalStatusSQLite.py", line 107, in openfiles
    assert sqlite.threadsafety == 1, 'Your sqlite is not multithreading safe.'
AssertionError: Your sqlite is not multithreading safe.

  Your sqlite is not multithreading safe.


Version-Release number of selected component (if applicable):

offlineimap-8.0.0-5.fc37.noarch
python3-3.11.0-1.fc37.x86_64
sqlite-libs-3.39.2-2.fc37.x86_64

How reproducible:

100%

Steps to Reproduce:
1.  Configure offlineimap to sync with a remote IMAP mailbox
2.  Run "offlineimap -o"

Actual results:

Errors as above

Expected results:

Mail synchronizes

Additional info:

This appears to be the bug reported upstream here: https://github.com/OfflineIMAP/offlineimap3/pull/137/files

Manually editing /usr/lib/python3.11/site-packages/offlineimap/folder/LocalStatusSQLite.py as suggested by that patch fixes the problem.

Comment 1 serge-sans-paille 2022-11-16 06:23:25 UTC
Shouyld be fixed by https://bodhi.fedoraproject.org/updates/FEDORA-2022-64b4cfe92b

Comment 2 Fedora Update System 2022-11-16 06:24:01 UTC
FEDORA-2022-64b4cfe92b has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-64b4cfe92b

Comment 3 David Gibson 2022-11-16 23:28:10 UTC
I installed the updated package and it's looking good.  Thanks.

Comment 4 Jan Pazdziora 2022-11-17 11:05:24 UTC
Let's let bodhi handle the bugzilla status. Give karma to https://bodhi.fedoraproject.org/updates/FEDORA-2022-64b4cfe92b to get that update properly to the stable repository.

Comment 5 Jan Pazdziora 2022-11-17 11:06:56 UTC
The correct status is likely ON_QA at this point.

Comment 6 Fedora Update System 2022-11-19 02:56:04 UTC
FEDORA-2022-64b4cfe92b has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.